Get custom list members
curl --request GET \
--url https://api.fanvue.com/chats/lists/custom/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/chats/lists/custom/{uuid}"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/chats/lists/custom/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Emma Thompson",
"handle": "emma_art",
"isCreator": true
},
{
"uuid": "6ba7b811-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Jake Martinez",
"handle": "jakethefan",
"isCreator": false
},
{
"uuid": "6ba7b812-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Sophie Williams",
"handle": "sophie_w",
"isCreator": true
},
{
"uuid": "6ba7b813-9dad-11d1-80b4-00c04fd430c8",
"displayName": "David Kim",
"handle": "davidk_collector",
"isCreator": false
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Fan Lists
Get custom list members
Get members of a specific custom list with pagination.
GET
/
chats
/
lists
/
custom
/
{uuid}
Get custom list members
curl --request GET \
--url https://api.fanvue.com/chats/lists/custom/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'X-Fanvue-API-Version: <x-fanvue-api-version>'import requests
url = "https://api.fanvue.com/chats/lists/custom/{uuid}"
headers = {
"X-Fanvue-API-Version": "<x-fanvue-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Fanvue-API-Version': '<x-fanvue-api-version>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fanvue.com/chats/lists/custom/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Emma Thompson",
"handle": "emma_art",
"isCreator": true
},
{
"uuid": "6ba7b811-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Jake Martinez",
"handle": "jakethefan",
"isCreator": false
},
{
"uuid": "6ba7b812-9dad-11d1-80b4-00c04fd430c8",
"displayName": "Sophie Williams",
"handle": "sophie_w",
"isCreator": true
},
{
"uuid": "6ba7b813-9dad-11d1-80b4-00c04fd430c8",
"displayName": "David Kim",
"handle": "davidk_collector",
"isCreator": false
}
],
"pagination": {
"page": 1,
"size": 20,
"hasMore": false
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"message": "<string>"
}{
"error": "<string>",
"message": "<string>",
"nextVersion": "<string>"
}{
"error": "<string>"
}Required scopes
read:chat— Read chat conversations, messages, and chat-related data. This includes viewing chat lists and message history.read:fan— Access fan-related data and information within the platform.
Authorizations
OAuth 2.0 access token, presented as a JWT bearer token in the Authorization header. Obtain a token via the authorization-code flow; the scopes granted to the token determine which operations it may call.
Headers
API version to use for the request
Example:
"2025-06-26"
Path Parameters
Custom list UUID
Query Parameters
Page number to retrieve (starts from 1)
Required range:
x >= 1Number of items to return per page (1-50, default: 15)
Required range:
1 <= x <= 50Was this page helpful?